Get Circle Gateway deposit vault status
curl --request GET \
--url https://api.eco.com/circle-gateway/v2/depositAddresses/{vaultAddress}import requests
url = "https://api.eco.com/circle-gateway/v2/depositAddresses/{vaultAddress}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.eco.com/circle-gateway/v2/depositAddresses/{vaultAddress}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"vaultAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
"amount": "1000000",
"deadline": 1798915200,
"intentHash": "<string>",
"sourceChainId": 8453
}
}Gateway Fast Deposits
Get Circle Gateway deposit vault status
Returns the persisted quoted gateway intent state and metadata for a vault address.
GET
/
circle-gateway
/
v2
/
depositAddresses
/
{vaultAddress}
Get Circle Gateway deposit vault status
Path Parameters
EIP-55 / lowercase hex 20-byte address
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb"
Query Parameters
Source chain ID where the vault is funded.
Example:
8453
Response
Quoted vault record retrieved successfully
Show child attributes
Show child attributes
⌘I
